#import <Flutter/Flutter.h>

@interface XinhuammXycloudPlugin : NSObject<FlutterPlugin>

+ (instancetype)shareInstance;

/// 获取免登接口请求参数，向Flutter发消息调用Flutter方法
///   - Parameters:
///   - arguments: 参数
///   - callback: 回调结果
- (void)getLoginParamWithArguments:(id)arguments  result:(FlutterResult)callback ;

/// 分享，向Flutter发消息主动调用Flutter方法
/// - Parameters:
///   - arguments: 参数
///   - callback: 回调结果
- (void)shareWithArguments:(id)arguments  result:(FlutterResult)callback;

/// 登录，向Flutter发消息主动调用Flutter方法
/// - Parameters:
///   - arguments: 参数
///   - callback: 回调结果
- (void)loginWithArguments:(id)arguments  result:(FlutterResult)callback;
@end
